%define module	argh

Name:		python-%{module}
Version:	0.31.3
Release:	%mkrel 3
Summary:	Unobtrusive argparse wrapper with natural syntax
Group:		Development/Python
License:	LGPLv3+
URL:		https://pypi.python.org/pypi/argh
Source0:	https://pypi.io/packages/source/a/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Building a command-line interface? Found yourself uttering "argh!" while
struggling with the API of argparse? Don't like the complexity but need
the power?
Argh is a smart wrapper for argparse. Argparse is a very powerful tool;
Argh just makes it easy to use.

%package -n	python3-%{module}
Summary:	Unobtrusive argparse wrapper with natural syntax
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Building a command-line interface? Found yourself uttering "argh!" while
struggling with the API of argparse? Don't like the complexity but need
the power?
Argh is a smart wrapper for argparse. Argparse is a very powerful tool;
Argh just makes it easy to use.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files argh

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.31.3-3.mga10
+ Revision: 2239346
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.31.3-2.mga10
+ Revision: 2156456
- rebuild for python3.13

* Tue Aug 06 2024 daviddavid <daviddavid> 0.31.3-1.mga10
+ Revision: 2083725
- new version: 0.31.3

* Sun Feb 18 2024 daviddavid <daviddavid> 0.31.2-1.mga10
+ Revision: 2042317
- new version: 0.31.2

* Sat Jan 20 2024 daviddavid <daviddavid> 0.31.0-1.mga10
+ Revision: 2032412
- new version: 0.31.0

* Wed Dec 27 2023 daviddavid <daviddavid> 0.30.5-1.mga10
+ Revision: 2022010
- new version: 0.30.5

* Fri Dec 08 2023 papoteur <papoteur> 0.30.4-2.mga10
+ Revision: 2015824
- rebuild for python 3.12

* Sun Nov 05 2023 daviddavid <daviddavid> 0.30.4-1.mga10
+ Revision: 2004569
- new version: 0.30.4

* Mon Oct 30 2023 daviddavid <daviddavid> 0.30.2-1.mga10
+ Revision: 2002816
- new version: 0.30.2

* Sun Oct 01 2023 daviddavid <daviddavid> 0.29.4-1.mga10
+ Revision: 1992777
- new version: 0.29.4

* Sat Feb 18 2023 daviddavid <daviddavid> 0.28.1-1.mga9
+ Revision: 1943848
- new version: 0.28.1

* Fri Feb 17 2023 daviddavid <daviddavid> 0.28.0-1.mga9
+ Revision: 1943722
- new version: 0.28.0
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.26.2-10.mga9
+ Revision: 1822270
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.26.2-9.mga9
+ Revision: 1772922
- rebuild for python3.10

* Sat Mar 20 2021 neoclust <neoclust> 0.26.2-8.mga9
+ Revision: 1705928
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.26.2-7.mga8
+ Revision: 1531824
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.26.2-6.mga8
+ Revision: 1441231
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.26.2-5.mga7
+ Revision: 1351082
- Rebuild for python3 3.7

* Sun Nov 11 2018 kekepower <kekepower> 0.26.2-4.mga7
+ Revision: 1329522
- Rename python-argh to python2-argh
- Use python_provide

* Thu Sep 20 2018 umeabot <umeabot> 0.26.2-3.mga7
+ Revision: 1288241
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.26.2-2.mga7
+ Revision: 1135309
- Rebuild for python 3.6

* Tue Jan 03 2017 daviddavid <daviddavid> 0.26.2-1.mga6
+ Revision: 1079833
- new version: 0.26.2

* Sun Apr 10 2016 daviddavid <daviddavid> 0.26.1-1.mga6
+ Revision: 1000107
- imported package python-argh

